
Foreman - Bug #2718

Subnet doesn't appear when domain and subnet is assigned to a specific location

06/26/2013 04:02 PM - Alejandro Falcon

Status: Rejected   

Priority: High   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps: I create a new location, new subnet and new domain, then assign subnet and domain to the newly created location. When I

create a new host the subnet doesn't appear under that location and domain.

When I assign the subnet and domain to all locations it works fine.

History

#1 - 06/26/2013 04:03 PM - Alejandro Falcon

This might be related to http://projects.theforeman.org/issues/2203 fix

#2 - 06/26/2013 04:05 PM - Alejandro Falcon

Forgot to say I'm using 1.2 RC3

#3 - 06/27/2013 02:24 AM - Ohad Levy

can you confirm that the domain is selected as part of the subnet?

#4 - 06/27/2013 07:12 AM - Alejandro Falcon

yes I have the domain selected for the subnet. It's weird because I have 3 locations/domains/subnets, that were all working fine before upgrading to

1.2 RC. Yesterday I was going to build one server and 2 of these locations had these issues but one of them didn't, so I tried to create a new one

without luck.

I'm using Foreman with MySQL, upgraded from RPM packages.

#5 - 08/15/2013 08:39 AM - Anonymous

- Description updated

- Assignee set to Anonymous

#6 - 08/15/2013 08:56 AM - Dominic Cleal

- Category set to Organizations and Locations

- Status changed from New to Assigned

I wonder if this is the same as #2734, worth double checking that it's still reproducible.  We fixed this later in 1.2.1.

#7 - 08/15/2013 11:39 AM - Anonymous

Can't reproduce the issue as described with code from master; Will check the same with the latest release.

#8 - 08/15/2013 03:35 PM - Anonymous

can't reproduce the issue with Foreman 1.2.1 (on Fedora 18).

#9 - 08/15/2013 03:44 PM - Anonymous

- Status changed from Assigned to Rejected
